Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Ploteinstellung Zoll/mm

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Ploteinstellung Zoll/mm (773 mal gelesen)
Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1020
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 18. Nov. 2013 08:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich kann mir unter:
(vla-get-activelayout
  (vla-get-activedocument (vlax-get-acad-object))
)

die Ploteinstellungen holen.

Aber wo wird hier Zoll und mm eingestellt ???

Bin ich zu blind heute morgen oder ist das woanders versteckt ?

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4032
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 18. Nov. 2013 08:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas Kraus 10 Unities + Antwort hilfreich

... ich denke mal, das ist als Faktor im CustomScale enthalten.

Grüße!
Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1020
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 18. Nov. 2013 09:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das ist schon richtig, aber wenn ich im Plotdialog von mm auf Zoll schalte ändert sich der Maßstab nicht. Wenn ich aber einen Maßstab eintrage und Zoll/mm steht "falsch" kommt nix gescheites dabei raus.

Ich hab ein Lisp das mir Layouts zum Plotten einstellt. Leider stand eins auf Zoll und das hat nicht geklappt. Jetzt bin ich auf der Suche nach dieser Einstellung (die einzige die mir noch fehlt zu meinem Glück)

Oder gibt's da noch ne andere Idee (ohne command und sowas, nur VLisp, soll zum Schluss ODBX-fähig sein)

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1774
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 18. Nov. 2013 10:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas Kraus 10 Unities + Antwort hilfreich

vla-get-PaperUnits ; liefert dir die Einheiten 0->Zoll, 1->mm
vla-put-paperUnits; Einheiten setzen
(VL-CATCH-ALL-APPLY 'vla-GetCustomScale (list (vla-item (vla-get-layouts (vla-get-activedocument (vlax-get-acad-object))) (getvar"ctab")) 'numerator 'denominator)) ; Maßstab
;Maßstab holen

Maßstab setzen wirsde hinbekommen?
und nicht vergessen zu refreshen!
so gehts!

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 18. Nov. 2013 10:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas Kraus 10 Unities + Antwort hilfreich

probier mal (vla-get-PaperUnits)


Edit: ein Wiesel müßte man sein ...

------------------
Schöne Grüße
Ernst

www.geopaint.at

[Diese Nachricht wurde von Geos am 18. Nov. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1020
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 18. Nov. 2013 10:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

DAAAANKE

Gleich zwei Antworten auf einmal.
PaperUnits ist richtig
und JA ich bin zu blind heute Morgen  

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

[Diese Nachricht wurde von Andreas Kraus am 18. Nov. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 111
Registriert: 20.07.2011

acad 2016 + civil

erstellt am: 04. Aug. 2017 13:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas Kraus 10 Unities + Antwort hilfreich

Hallo zusammen,

greife hier das Thema nochmal auf, hoffe ich bekomme wie immer einige Tips.
Ich habe mir auch diverse Änderungen am Plotmenü erlaubt und anschließend wie von CADWiesel empfohlen mit der Zeile

(vla-refreshplotdeviceinfo(ActLay))

das Layout aktualisiert NUR kommt es dadurch jetzt immer zu einem "Fehler", nämlich werden die vorher eingestellten Plaotmaßstabseinstellungen immer von mm auf zoll umgestellt, wie kann das sein oder wie kann ich das unterbinden oder umgehen?

PS: hier der ganze code

Code:

(defun ActLay ()
  (vla-get-ActiveLayout
    (vla-get-activedocument
      (vlax-get-acad-object)
    )
  )
)
(if (/= 1 (vla-get-plottype(ActLay)))
(vla-put-plottype(ActLay)1)
)
(vla-put-PlotRotation (actlay) ac90degrees)
(if (/= :vlax-true (vla-get-centerplot(ActLay)))
(vla-put-centerplot(ActLay):vlax-true)
)
(if (= 0 (vla-get-paperunits(ActLay)))
(vla-put-paperunits(ActLay) 1)
)
(vla-refreshplotdeviceinfo(ActLay))

mfg
blue

[Diese Nachricht wurde von CADblue am 04. Aug. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1020
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 05. Aug. 2017 15:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hab ich auch gemerkt.
Ist wohl so dass vla-refreshplotdeviceinfo einiges aus den Geräte- und/oder Blatteistellungen holt und damit deine Einstellungen wieder überschreibt.

Ich hab das auch nicht alles komplett durchgetestet, hab mich aber einfach damit abgefunden dass ich manche Einstellungen erst NACH vla-refreshplotdeviceinfo machen muss.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 111
Registriert: 20.07.2011

acad 2016 + civil

erstellt am: 05. Aug. 2017 16:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas Kraus 10 Unities + Antwort hilfreich

ok dann muss ich die reihenfolge mal umbauen, solang es läuft solls mir recht sein. das problem ist nur ich habe mir anscheind iwie dadurch die kompletten zeichnungseinheiteneinstellungen zerschossen. ich habe einige einheitseinstellungen geprüft und musste ferstellen das auch der vorgabe-maßstab auf britisch gesetzt wurde. nun habe ich auch probleme mit dem einfügen von blöcken die nichtmehr richtig skaliert werden. 
fazit finger weg vom refresher :P
mache mir jetzt mit copy-paste ne neue zeichnung die alte ist fast nicht mehr zu gebrauchen.

trotzdem danke andreas!!!

mfg
blue

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de